\name{ARFIMAfilter-class}
\docType{class}
\alias{ARFIMAfilter-class}
\alias{as.data.frame,ARFIMAfilter-method}
\alias{coef,ARFIMAfilter-method}
\alias{fitted,ARFIMAfilter-method}
\alias{infocriteria,ARFIMAfilter-method}
\alias{likelihood,ARFIMAfilter-method}
\alias{residuals,ARFIMAfilter-method}
\alias{show,ARFIMAfilter-method}
\alias{uncmean,ARFIMAfilter-method}
\title{class: ARFIMA Filter Class}
\description{Class for the ARFIMA filter.}
\section{Slots}{
  \describe{
    \item{\code{filter}:}{Object of class \code{"vector"} }
    \item{\code{model}:}{Object of class \code{"vector"}  }
  }
}
\section{Extends}{
Class \code{"\linkS4class{ARFIMA}"}, directly.
Class \code{"\linkS4class{rGARCH}"}, by class "ARFIMA", distance 2.
}
\section{Methods}{
  \describe{
    \item{as.data.frame}{\code{signature(x = "ARFIMAfilter")}: extracts the position (dates), data, 
    filtered values and residuals.}
    \item{coef}{\code{signature(object = "ARFIMAfilter")}: extracts the coefficients. }
    \item{fitted}{\code{signature(object = "ARFIMAfilter")}: extracts the filtered values.}
    \item{infocriteria}{\code{signature(object = "ARFIMAfilter")}: 
    calculates and returns various information criteria.}
    \item{likelihood}{\code{signature(object = "ARFIMAfilter")}: extracts the likelihood. }
    \item{residuals}{\code{signature(object = "ARFIMAfilter")}: extracts the residuals. }
    \item{show}{\code{signature(object = "ARFIMAfilter")}: filter summary.}
    \item{uncmean}{\code{signature(object = "ARFIMAfilter")}: calculates and returns the 
    unconditional mean.}
	}
}
\author{Alexios Ghalanos}

\examples{
showClass("ARFIMAfilter")
}
\keyword{classes}
