\name{ARFIMAfit-class}
\Rdversion{1.1}
\docType{class}
\alias{ARFIMAfit-class}
\alias{as.data.frame,ARFIMAfit-method}
\alias{coef,ARFIMAfit-method}
\alias{fitted,ARFIMAfit-method}
\alias{getspec,ARFIMAfit-method}
\alias{infocriteria,ARFIMAfit-method}
\alias{likelihood,ARFIMAfit-method}
\alias{residuals,ARFIMAfit-method}
\alias{show,ARFIMAfit-method}
\alias{uncmean,ARFIMAfit-method}
\title{class: ARFIMA Fit Class}
\description{
Class for the ARFIMA fit.
}
\section{Slots}{
  \describe{
    \item{\code{fit}:}{Object of class \code{"vector"} }
    \item{\code{model}:}{Object of class \code{"vector"} }
  }
}
\section{Extends}{
Class \code{"\linkS4class{ARFIMA}"}, directly.
Class \code{"\linkS4class{rGARCH}"}, by class "ARFIMA", distance 2.
}
\section{Methods}{
  \describe{
    \item{as.data.frame}{\code{signature(x = "ARFIMAfit")}: extracts the position (dates), data, 
    fitted values and residuals.}
    \item{coef}{\code{signature(object = "ARFIMAfit")}: extracts the coefficients. }
    \item{fitted}{\code{signature(object = "ARFIMAfit")}: extracts the fitted values.}
    \item{infocriteria}{\code{signature(object = "ARFIMAfit")}: 
    calculates and returns various information criteria.}
    \item{likelihood}{\code{signature(object = "ARFIMAfit")}: extracts the likelihood. }
    \item{residuals}{\code{signature(object = "ARFIMAfit")}: extracts the residuals. }
    \item{show}{\code{signature(object = "ARFIMAfit")}: fit summary.}
    \item{uncmean}{\code{signature(object = "ARFIMAfit")}: calculates and returns the 
    unconditional mean.}
	 }
}
\author{Alexios Ghalanos}
\examples{
showClass("ARFIMAfit")
}
\keyword{classes}
