\name{DCCfit-class}
\docType{class}
\alias{DCCfit-class}
\alias{coef,DCCfit-method}
\alias{likelihood,DCCfit-method}
\alias{plot,DCCfit,missing-method}
\alias{rskew,DCCfit-method}
\alias{rskew}
\alias{infocriteria,DCCfit-method}
\alias{rshape,DCCfit-method}
\alias{rshape}
\alias{fitted,DCCfit-method}
\alias{rcor,DCCfit-method}
\alias{rcov,DCCfit-method}
\alias{show,DCCfit-method}
\alias{sigma,DCCfit-method}
\title{class: DCC Fit Class}
\description{
The class is returned by calling the function \code{\link{dccfit}}.
}
\section{Slots}{
  \describe{
    \item{\code{mfit}:}{Object of class \code{"vector"} - multivariate fit. }
    \item{\code{ufit}:}{Object of class \code{\linkS4class{uGARCHmultifit}}}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHfit}"}, directly.
Class \code{"\linkS4class{GARCHfit}"}, by class "mGARCHfit", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHfit", distance 3.
}
\section{Methods}{
  \describe{
    \item{coef}{\code{signature(object = "DCCfit")} coefficient vector (see note) }
    \item{likelihood}{\code{signature(object = "DCCfit")}: extracts the likelihood. }
    \item{plot}{\code{signature(x = "DCCfit", y = "missing")}: plot method, given additional arguments
    \sQuote{series} and \sQuote{which}.}
    \item{infocriteria}{\code{signature(object = "DCCfit")}: calculates and returns various 
    information criteria. }
    \item{rshape}{\code{signature(object = "DCCfit")}: multivariate distribution shape vector.}
    \item{rskew}{\code{signature(object = "DCCfit")}: multivariate distribution skew vector. }
    \item{fitted}{\code{signature(object = "DCCfit")}: fitted data matrix.}
    \item{rcor}{\code{signature(object = "DCCfit")}: Dynamic Conditional Correlation Array. }
    \item{rcov}{\code{signature(object = "DCCfit")}: Dynamic Conditional Covariance Array. }
    \item{show}{\code{signature(object = "DCCfit")}: summary. }
    \item{sigma}{\code{signature(object = "DCCfit")}: univariate conditional sigma matrix. }
	 }
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\author{Alexios Ghalanos}
\note{
The \sQuote{coef} method takes additional argument \sQuote{type} with valid values \sQuote{garch}
for the garch parameters, \sQuote{dcc} for the dcc parameters and by default returns all the parameters
in a named vector.
}
\keyword{classes}