\name{DCCsim-class}
\docType{class}
\alias{DCCsim-class}
\alias{fitted,DCCsim-method}
\alias{rcor,DCCsim-method}
\alias{rcov,DCCsim-method}
\alias{sigma,DCCsim-method}
\alias{show,DCCsim-method}
\title{class: DCC Forecast Class}
\description{
The class is returned by calling the function \code{\link{dccsim}}.
}
\section{Slots}{
  \describe{
    \item{\code{msim}:}{Object of class \code{"vector"}.}
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHsim}"}, directly.
Class \code{"\linkS4class{GARCHsim}"}, by class "mGARCHsim", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHsim", distance 3.
}

\section{Methods}{
  \describe{
    \item{fitted}{\code{signature(object = "DCCsim")}: simulated data matrix given additional argument
    \sQuote{sim} denoting the simulation to return values for. }
    \item{rcor}{\code{signature(object 	= "DCCsim")}: simulated Dynamic Conditional Correlation Array given
    additional argument \sQuote{sim} denoting the simulation to return values for, and \sQuote{type} with
    \sQuote{R} returning the correlation matrix and \sQuote{Q} the DCC Q-matrix. }
    \item{rcov}{\code{signature(object 	= "DCCsim")}: simulated Dynamic Conditional Covariance Array given
    additional argument \sQuote{sim} denoting the simulation to return values for. }
    \item{sigma}{\code{signature(object = "DCCsim")}: simulated univariate conditional sigma matrix given
    additional argument \sQuote{sim} denoting the simulation to return values for. }
    \item{show}{\code{signature(object = "DCCsim")}: summary. }
	}
}
\references{
Engle, R.F. and Sheppard, K. \emph{Theoretical and empirical properties of dynamic conditional 
correlation multivariate GARCH}, 2001, NBER Working Paper.\cr
}
\author{Alexios Ghalanos}
\keyword{classes}