\name{cGARCHfit-class}
\docType{class}
\alias{cGARCHfit-class}
\alias{coef,cGARCHfit-method}
\alias{fitted,cGARCHfit-method}
\alias{likelihood,cGARCHfit-method}
\alias{rcor,cGARCHfit-method}
\alias{rcov,cGARCHfit-method}
\alias{residuals,cGARCHfit-method}
\alias{show,cGARCHfit-method}
\alias{sigma,cGARCHfit-method}
\title{class: Copula Fit Class}
\description{
The class is returned by calling the function \code{\link{cgarchfit}}.
}
\section{Slots}{
  \describe{
    \item{\code{mfit}:}{Object of class \code{"vector"} multivariate fit list. }
    \item{\code{mspec}:}{Object of class \code{"vector"} multivariate spec list. }
    \item{\code{uspec}:}{Object of class \code{"uGARCHmultispec"} univariate multispec. }
    \item{\code{copula}:}{Object of class \code{"vector"} copula details list. }
    \item{\code{model}:}{Object of class \code{"vector"} model specification list. }
  }
}
\section{Extends}{
Class \code{"\linkS4class{mGARCHfit}"}, directly.
Class \code{"\linkS4class{GARCHfit}"}, by class "mGARCHfit", distance 2.
Class \code{"\linkS4class{rGARCH}"}, by class "mGARCHfit", distance 3.
}
\section{Methods}{
  \describe{
    \item{coef}{\code{signature(object = "cGARCHfit")}: coefficient vector (see note). }
    \item{fitted}{\code{signature(object = "cGARCHfit")}: fitted data matrix. }
    \item{likelihood}{\code{signature(object = "cGARCHfit")}: extracts the joint likelihood. }
    \item{rcor}{\code{signature(object = "cGARCHfit")}: extracts the correlation. }
    \item{rcov}{\code{signature(object = "cGARCHfit")}: extracts the covariance. }
    \item{residuals}{\code{signature(object = "cGARCHfit")}: residuals data matrix. }
    \item{show}{\code{signature(object = "cGARCHfit")}: summary. }
    \item{sigma}{\code{signature(object = "cGARCHfit")}: univariate conditional sigma matrix. }
	 }
}
\references{
Joe, H. \emph{Multivariate Models and Dependence Concepts}, 1997, Chapman \& Hall, London.\cr
Genest, C., Ghoudi, K. and Rivest, L. \emph{A semiparametric estimation procedure of dependence
parameters in multivariate families of distributions}, 1995, Biometrika, 82, 543-552.\cr
}
\author{Alexios Ghalanos}
\note{
The \sQuote{coef} method takes additional argument \sQuote{type} with valid values \sQuote{garch}
for the garch parameters, \sQuote{st} for the second stage parameters and by default returns all 
the parameters in a named vector.
}
\keyword{classes}
