\name{nigtransform}
\alias{nigtransform}
\title{Distribution: Normal Inverse Gaussian Transformation and Scaling}
\description{
	The function scales the distributions from the (0, 1) zeta-rho GARCH 
	parametrization to the alpha-beta parametrization and performs the appropriate
	scaling to the parameters given the estimated sigma and mu.
}
\usage{
nigtransform(mu = 0, sigma = 1,  skew = 0, shape = 3)
}
\arguments{
    \item{mu}{
        Either the conditional time-varying (vector) or unconditional mean estimated 
        from the GARCH process.
        }
    \item{sigma}{
        The conditional time-varying (vector) sigma estimated from the GARCH process.
        }
    \item{skew, shape}{
    	The conditional non-time varying skewness and shape parameters estimated
    	from the GARCH process (zeta-rho).
    	}
}
\value{
   A matrix of size nrows(sigma) x 4 of the scaled and transformed parameters to be
   used in the alpha-beta parametrized NIG distribution functions.
}
\details{
	The NIG transformation is taken from Rmetrics internal function and scaled as shown in
	Blaesild (see references).
}
\references{
	Blaesild, P., \emph{The two-dimensional hyperbolic distribution and related distributions,
	with an application to Johannsen's bean data}, 1981, Biometrika 68, 251-263.\cr
	Eberlein, E. and Prauss, K., \emph{The Generalized Hyperbolic Model Financial
	Derivatives and Risk Measures}, 1998, Mathematical Finance, Bachelier Congress 
	2000.
}
\author{
    Diethelm Wuertz for the Rmetrics \R-port of the NIG transformation function.\cr
    Alexios Ghalanos for rgarch implementation.\cr
}