\name{uGARCHfpm-class}
\Rdversion{1.1}
\docType{class}
\alias{uGARCHfpm-class}
\alias{as.data.frame,uGARCHfpm-method}
\alias{show,uGARCHfpm-method}
\title{class: Univatiate GARCH Forecast Performance Measures}
\description{Class for the univariate GARCH Forecast Performance Measures.}
\section{Objects from the Class}{
Objects can be created by calling the \code{fpm} method on \code{\linkS4class{uGARCHforecast}}
objects.}
\section{Slots}{
	 \describe{
    \item{\code{seriesfpm}:}{Object of class \code{"vector"} containing the forecast performance 
    measures on the forecasted series.}
    \item{\code{sigmafpm}:}{Object of class \code{"vector"} containing the forecast performance 
    measures on the forecasted sigma.}
    \item{\code{forecasts}:}{Object of class \code{"vector"} containing the actual forecasts. }
    \item{\code{realized}:}{Object of class \code{"vector"} containing the realized data. }
    \item{\code{details}:}{Object of class \code{"vector"} other information. }
  }
}
\section{Extends}{
Class \code{"\linkS4class{GARCHtests}"}, directly.
Class \code{"\linkS4class{rGARCH}"}, by class "GARCHtests", distance 2.
}
\section{Methods}{
  \describe{
    \item{as.data.frame}{\code{signature(x = "uGARCHfpm")}: option to extract either the
    \dQuote{series} or \dQuote{sigma} using the \code{which} option, and either the \dQuote{medianloss}
    or \dQuote{meanloss} measures using the \code{type} option or the \dQuote{loss} for the actual
    loss series. In the case of the \dQuote{loss} series option, additional \dQuote{rollframe} should
    be supplied indicating the rolling frame to return (defaults to the first, i.e. the actual without
    roll)}
    \item{show}{\code{signature(object = "uGARCHfpm")}: summary method.}
	 }
}
\author{ Alexios Ghalanos }
\keyword{classes}
