/*################################################################################
##
##   R package rgarch by Alexios Ghalanos Copyright (C) 2009, 2010, 2011
##   This file is part of the R package rgarch.
##
##   The R package rgarch is free software: you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, either version 3 of the License, or
##   (at your option) any later version.
##
##   The R package rgarch is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
#################################################################################*/
#ifndef RGARCH_H
#define RGARCH_H

void arfimafitC(int *armap, int *armaq, int *arfima, int *incmex, double *mu, double *ar, double *ma,
		double *mxreg, double *sigma, double *dlambda, double *skew, double *shape, 
		int *dist, double *x, double *res, double *mexdata, double *zrf, double *constm, 
		double *condm, int *m, int *T, double*h, double *z, double *llh, double *LHT);
		
void arfimaxfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		double *mu, double *ar, double *ma, double *inmean, double *mxreg, double *x,
		double *res, double *mexdata, double *zrf, double *constm, double *condm,
		double *h, int *m, int *T);

void sgarchfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		int *garchp, int *garchq, int *incvex, double *mu, double *ar, double *ma,
		double *inmean, double *mxreg, double *omega, double *hEst, double *alpha,
		double *beta, double *vxreg, double *dlambda, double *skew, double *shape, int *dist,
		double *x, double *res, double *e, double *mexdata, double *vexdata,
		double *zrf, double *constm, double *condm, int *m, int *T, double *h,
		double *z, double *llh, double *LHT);

void sgarchsimC(int *garchp, int *garchq, int *incvex, double *omega, double *alpha,
		double *beta, double *vxreg, double *h, double *z, double *res, double *e,
		double *vexdata, int *T, int *m);

void aparchfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		int *garchp, int *garchq, int *incvex, double *mu, double *ar, double *ma,
		double *inmean, double *mxreg, double *omega, double *hEst, double *alpha,
		double *beta, double *gm, double *delta, double *vxreg, double *dlambda, double *skew,
		double *shape, int *dist, double *x, double *res, double *e,
		double *mexdata, double *vexdata, double *zrf, double *constm, double *condm,
		int *m, int *T, double *h, double *z, double *llh, double *LHT);

void aparchsimC(int *garchp, int *garchq, int *incvex, double *omega, double *alpha, double *beta,
		double *gm, double *delta, double *vxreg, double *h, double *z,
		double *res, double *vexdata, int *T, int *m);

void egarchfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		int *garchp, int *garchq, int *incvex, double *mu, double *ar, double *ma,
		double *inmean, double *mxreg, double *omega, double *hEst, double *alpha,
		double *beta, double *gm, double *meanz, double *vxreg, double *dlambda, double *skew,
		double *shape, int *dist, double *x, double *res, double *e, double *mexdata,
		double *vexdata, double *zrf, double *constm, double *condm, int *m, int *T,
		double *h, double *z, double *llh, double *LHT);

void egarchsimC(int *garchp, int *garchq, int *incvex, double *omega, double *alpha, double *beta,
		double *gm, double *meanz, double *vxreg, double *h, double *z,
		double *res, double *vexdata, int *T, int *m);

void fgarchfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		int *garchp, int *garchq, int *incvex, double *mu, double *ar, double *ma,
		double *inmean, double *mxreg, double *omega, double *hEst, double *alpha,
		double *beta, double *lambda, double *kdelta, double *gamma1, double *gamma2,
		double *vxreg, double *dlambda, double *skew, double *shape, int *dist, double *x,
		double *res, double *e, double *mexdata, double *vexdata, double *zrf,
		double *constm, double *condm, int *m, int *T, double *h, double *z,
		double *llh, double *LHT);

void fgarchsimC(int *garchp, int *garchq, int *incvex, double *omega, double *alpha, double *beta,
		double *lambda, double *kdelta, double *gamma1, double *gamma2, double *vxreg,
		double *h, double *z, double *res, double *vexdata, int *T, int *m);

void gjrgarchfilterC(int *armap, int *armaq, int *arfima, double *im, int *incmex,
		int *garchp, int *garchq, int *incvex, double *mu, double *ar, double *ma,
		double *inmean, double *mxreg, double *omega, double *hEst, double *alpha,
		double *beta, double *gm, double *vxreg, double *dlambda, double *skew, double *shape,
		int *dist, double *x, double *res, double *nres, double *e, double *mexdata,
		double *vexdata, double *zrf, double *constm, double *condm, int *m, int *T,
		double *h, double *z, double *llh, double *LHT);

void gjrgarchsimC(int *garchp, int *garchq, int *incvex, double *omega, double *alpha, double *beta,
		double *gm, double *vxreg, double *h, double *z, double *res,
		double *e, double *nres, double *vexdata, int *T, int *m);

#endif /* RGARCH_H */
